Environment properties

Use the endpoints below to manage environment properties programmatically.

Rate limits

Environment property resources have the following rate limits:

TypeResourceLimit
AllAll Environment properties endpoints60 requests per minute

Quick reference

TypeResourceDescription
GET/api/propertiesLists environment properties that matches a prefix.
POST/api/propertiesUpserts environment properties.

List properties by prefix

Returns a list of environment properties belonging to a customer that matches a prefix. For example, if the prefix provided is salesforce_sync., any environment property with a name beginning with 'salesforce_sync.' will be returned.

GET /api/properties

Parameters

NameTypeDescription
prefixstring
required
Return properties with the given prefix. E.g: salesforce_sync..

Sample request

shell
curl  -X GET 'https://www.workato.com/api/properties?prefix=salesforce_sync.' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

Response

json
{
  "salesforce_sync.object_name": "Account",
  "salesforce_sync.object_field": "Id"
}

Upsert property

Upserts environment properties. Matches by the names of the properties provided in the request.

POST /api/properties

PROPERTY LIMITS

Environment properties have the following limits:

DescriptionLimit
Maximum number of environment properties per environment1,000
Maximum length of an environment property name100 characters
Maximum length of an environment property value1,024 characters

Payload

NameTypeDescription
propertiesHash
required
Contains the names and values of the properties to upsert.

Sample request

shell
curl  -X POST https://www.workato.com/api/properties \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{ "properties": { "zendesk.object": "Ticket", "zendesk.key": "ticket_id" }}'

Response

json
{
  "success": true
}

Last updated: